Storyden
Robots

List Robot Toolsets

List reusable Toolsets available to Robots. Toolsets group tools with optional instructions and may be provided by Storyden, members, or plugins, or connected MCP servers.

GET
/robots/toolsets

List reusable Toolsets available to Robots. Toolsets group tools with optional instructions and may be provided by Storyden, members, or plugins, or connected MCP servers.

Authorization

cookiestoryden-session<token>

Response Body

Robot Toolsets retrieved.

application/json
  1. response
toolsets*array<>
Example Request
curl -X GET 'https://example.com/api/robots/toolsets'
Example Response
{  "toolsets": [    {      "id": "string",      "name": "string",      "description": "string",      "instruction": "string",      "tools": [        "string"      ],      "source": "system",      "source_ref": "string",      "editable": true,      "usage_count": 0,      "requires_workspace": true,      "author": {        "id": "string",        "joined": "2019-08-24T14:15:22Z",        "suspended": "2019-08-24T14:15:22Z",        "handle": "string",        "name": "string",        "signature": "string",        "roles": [          {            "badge": true,            "default": true,            "id": "string",            "name": "string",            "colour": "string",            "meta": {}          }        ]      },      "meta": {}    }  ]}